[Rubygems-developers] re-install, errors with install -b -y, and with hoe.

Hugh Sasse hgs at dmu.ac.uk
Wed Feb 7 05:22:54 EST 2007


After my last post I tried re-installing rubygems from the zip file.
That time I got a clean install, but I am still getting errors like this:


hgs at Q2P14HGS ~
$ ls *.gem
ZenTest-3.4.3.gem

hgs at Q2P14HGS ~
$ gem install -b -y ZenTest-3.4.3.gem
ERROR:  While executing gem ... (RuntimeError)
    Error instaling ZenTest-3.4.3.gem:
        ZenTest requires hoe >= 1.1.4

hgs at Q2P14HGS ~
$ gem install hoe
ERROR:  While executing gem ... (NoMethodError)
    undefined method `refresh' for #<Hash:0x7feefe74>

hgs at Q2P14HGS ~
$

IMHO, -b -y should mean look locally and remotely and get
dependencies.  So I should never see
        ZenTest requires hoe >= 1.1.4

And what is this about?
ERROR:  While executing gem ... (NoMethodError)
    undefined method `refresh' for #<Hash:0x7feefe74>

Is anyone else getting this or have I raally mucked up somethinga at
this end?  I'd have thought that installing from the zipfile would
have fixed that.

hgs at Q2P14HGS ~
$ ruby --version
ruby 1.8.5 (2006-08-25) [i386-cygwin]

hgs at Q2P14HGS ~


        Thank you,
        Hugh


More information about the Rubygems-developers mailing list